weipacpp.cpp File Reference
`#include <escript/Data.h>`
`#include <weipa/EscriptDataset.h>`
`#include <weipa/VisItControl.h>`
`#include <boost/python.hpp>`
`#include <boost/python/module.hpp>`
`#include <boost/python/def.hpp>`
`#include <boost/python/object.hpp>`
`#include <boost/version.hpp>`

## Functions

| BOOST_PYTHON_MODULE (weipacpp)

## Function Documentation

## BOOST_PYTHON_MODULE()

BOOST_PYTHON_MODULE | ( | weipacpp |  | ) |

References weipa::EscriptDataset::addData(), weipa::VisItControl::initialize(), weipa::VisItControl::publishData(), weipa::EscriptDataset::saveSilo(), weipa::EscriptDataset::saveVTK(), weipa::EscriptDataset::setCycleAndTime(), weipa::EscriptDataset::setDomain(), weipa::EscriptDataset::setMeshLabels(), weipa::EscriptDataset::setMeshUnits(), weipa::EscriptDataset::setMetadataSchemaString(), and weipa::EscriptDataset::setSaveMeshData().